Stock to Income (S2I)
s2i
Chart: Stock to Income (S2I)
Parameters
| Name | Type | Description | Required |
|---|---|---|---|
start_date | string | Start date in YYYY-MM-DD format | No |
end_date | string | End date in YYYY-MM-DD format | No |
latest | bool | If true, returns the current value | No |
Output
| Index | Name | Type | Description |
|---|---|---|---|
| 0 | date | string | Date in YYYY-MM-DD format |
| 1 | s2i_lower_band | string | S2I Lower Band value |
| 2 | s2i_projection | string | S2I Projection value |
| 3 | s2i_upper_band | string | S2I Upper Band value |
| 4 | s2i_value | string | S2I Value |
Example Request
https://charts.bitbo.io/api/v1/s2i/?start_date=2025-05-06&end_date=2025-05-08
Example Request with Latest
https://charts.bitbo.io/api/v1/s2i/?latest=true
Code Samples
- cURL
- Python
- JavaScript
- Go
curl "https://charts.bitbo.io/api/v1/s2i/?start_date=2025-05-06&end_date=2025-05-08&api_key=YOUR_API_KEY"
import requests
url = "https://charts.bitbo.io/api/v1/s2i/"
params = {
"start_date": "2025-05-06",
"end_date": "2025-05-08",
"api_key": "YOUR_API_KEY"
}
response = requests.get(url, params=params)
data = response.json()
print(data)
const url = "https://charts.bitbo.io/api/v1/s2i/";
const params = new URLSearchParams({
start_date: "2025-05-06",
end_date: "2025-05-08",
api_key: "YOUR_API_KEY"
});
const response = await fetch(`${url}?${params}`);
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://charts.bitbo.io/api/v1/s2i/?start_date=2025-05-06&end_date=2025-05-08&api_key=YOUR_API_KEY", nil)
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
Example Output
{
"data": [
[
"2025-05-06",
"163940.51",
"327881.02",
"655762.04",
"95.99"
],
[
"2025-05-07",
"163769.38",
"327538.75",
"655077.50",
"95.96"
],
[
"2025-05-08",
"163558.07",
"327116.14",
"654232.28",
"95.92"
]
]
}